write_reading(3)

NAME

write_reading, fwrite_reading - Write a Read structure into a trace file.

SYNOPSIS

#include <Read.h>

int write_reading(
	char *filename,
	Read *read,
	int format);

int fwrite_reading(
	FILE *fp,
	Read *read,
	int format);

DESCRIPTION

These functions write a Read structure into a trace file. The principle format support is the SCF format. Although reading is supported for ABI and ALF, writing is not. Additionally, it is possible to write using the plain (old) staden format files or as Experiment files. In both these cases only the sequence component of the trace file will be written.

When writing as an experiment file the QL, QR and SQ fields are generated from the Read structure. If we previously created the Read structure from reading an experiment file then the original experiment file data is also written. Otherwise EN, ID, LN and LT lines are also generated.

write_reading() writes a Read structure to the specified filename in the specified format. Formats available are TT_SCF, TT_PLNand TT_EXP. Specifying format TT_ANY will be treated as TT_SCF.

fwrite_reading() writes a Read structure to the specified FILE pointer in the specified format. Apart from writing to FILE pointer instead of a filename, the function is identical to write_reading().

RETURN VALUES

On successful completion, the write_reading() and fwrite_reading() functions return 0. Otherwise these functions return -1.

SEE ALSO

read_reading(3), fread_reading(3), deallocate_reading(3), scf(4),
ExperimentFile(4)